public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "David Roman" <davidroman96@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: media-sound/supersonic/
Date: Mon, 24 Feb 2025 10:29:04 +0000 (UTC)	[thread overview]
Message-ID: <1740392323.447e270c5c57ba0a6f91e0e4870a221f99f3b6ac.davidroman@gentoo> (raw)

commit:     447e270c5c57ba0a6f91e0e4870a221f99f3b6ac
Author:     David Roman <davidroman96 <AT> gmail <DOT> com>
AuthorDate: Mon Feb 24 10:18:43 2025 +0000
Commit:     David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Mon Feb 24 10:18:43 2025 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=447e270c

media-sound/supersonic: add 0.14.0

Signed-off-by: David Roman <davidroman96 <AT> gmail.com>

 media-sound/supersonic/Manifest                 |  2 ++
 media-sound/supersonic/supersonic-0.14.0.ebuild | 40 +++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/media-sound/supersonic/Manifest b/media-sound/supersonic/Manifest
index e051dc717..32d3a2ae3 100644
--- a/media-sound/supersonic/Manifest
+++ b/media-sound/supersonic/Manifest
@@ -4,3 +4,5 @@ DIST supersonic-0.13.1-vendor.tar.xz 8736248 BLAKE2B e1431bf5758255d14b613e7bfbf
 DIST supersonic-0.13.1.tar.gz 63678698 BLAKE2B c0bcac53f9cc17cabbfe2fbc4c4e6fa809e0611465862b71561af198e0090266ee8f5d321179c287d249470c00996b3fd0c9bee9807be8e39702107c5eb8fa22 SHA512 7153640df2e4fd2e14b9ff14325afd70589960113d1cdd7dbaeaf75d7074152e2bbb5b3b832aa0947f85c625236c3b01116b766ac8524b00e7471a164492435c
 DIST supersonic-0.13.2-vendor.tar.xz 8757956 BLAKE2B c228d799e13667350a5e05580ec5cbe9be066d408a81a70cab75cd28be14dd116a8e043a241dc94a702c84d30a514099cee116e1a45315b204272bde8096381b SHA512 2f0699fd7908ed5786a5474523fd2b5aed9e50ad6d23c61e5598f94f05ce5354bb02a3b1ac9e8d16156743a159cadcb118a464a3d122715fc8ca46c3954f1520
 DIST supersonic-0.13.2.tar.gz 63687288 BLAKE2B eb761d39fe29807808b5dbd6070413bb90a93301a445a7ada6168d29b9b184aa319b140ea23a8af6d6e300f2f95cfc6862db7f9abadd8fb364bde3f3963059bc SHA512 b4372f9765f12e95c357717467ef55cd9a84a362c5179365e393405121d7094339e09f8e69a7a813d2cbd55bc8fa71beeefd18203cd28df96d3259fc5b7652e5
+DIST supersonic-0.14.0-vendor.tar.xz 7970252 BLAKE2B aab7e4bc33920b2f8df3aeb40edef1f79e1b43f0c9d7f70f698bcde41c46b2bda76baf736b031263fbc3919c656c1e852a82909472282fdb03d206bc0e13ec06 SHA512 eb0f7f34796198fff4de8420121f6d9d854af8c530d3a4d7a2d96aa4d3c832f010b9a36713fa523a29b99f508d83cc7faf05fb09ee1e815c3ed880d436cf5821
+DIST supersonic-0.14.0.tar.gz 63693325 BLAKE2B 3a6626d60000438248addc40efd0a4f18f5d9fcfd75f74a98094149a6c934db92bbb2cd57e69abe5411153bb8a1547eb12b95c2379070844ec7212d609e2013c SHA512 15a09b7521494bd55cfbd1f52632547505e74a52ae27ba0407aa7698ae6f041591601a6039d8e2e2b8c7d82ae1fcb0cdf359710fa9b588b838ac733cca0fabce

diff --git a/media-sound/supersonic/supersonic-0.14.0.ebuild b/media-sound/supersonic/supersonic-0.14.0.ebuild
new file mode 100644
index 000000000..a8046f32a
--- /dev/null
+++ b/media-sound/supersonic/supersonic-0.14.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit desktop go-module xdg
+
+DESCRIPTION="A lightweight and full-featured cross-platform desktop client"
+HOMEPAGE="https://github.com/dweymouth/supersonic"
+SRC_URI="https://github.com/dweymouth/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI+=" https://gentoo.kropotkin.rocks/go-pkgs/${P}-vendor.tar.xz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND="
+	media-libs/libglvnd
+	media-video/mpv[libmpv]
+	x11-libs/libX11
+	x11-libs/libXcursor
+	x11-libs/libXi
+	x11-libs/libXinerama
+"
+
+RDEPEND="${DEPEND}"
+
+src_compile() {
+	ego build
+}
+
+src_install() {
+	dobin supersonic
+	sed -i 's/supersonic-desktop/supersonic/g' "res/${PN}-desktop.desktop" || die
+	domenu "res/${PN}-desktop.desktop"
+	local x
+	for x in 128 256 512; do
+		newicon -s ${x} res/appicon-${x}.png supersonic.png
+	done
+}


             reply	other threads:[~2025-02-24 10:29 UTC|newest]

Thread overview: 15+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2025-02-24 10:29 David Roman [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-04-28 10:32 [gentoo-commits] repo/proj/guru:dev commit in: media-sound/supersonic/ David Roman
2025-04-28 10:32 David Roman
2025-04-22  9:06 David Roman
2025-04-07  8:45 David Roman
2025-04-07  8:45 David Roman
2025-02-24 10:34 [gentoo-commits] repo/proj/guru:master " David Roman
2025-02-24 10:29 ` [gentoo-commits] repo/proj/guru:dev " David Roman
2025-01-06 22:19 David Roman
2024-09-01 15:53 [gentoo-commits] repo/proj/guru:master " David Roman
2024-09-01 15:43 ` [gentoo-commits] repo/proj/guru:dev " David Roman
2024-09-01 15:43 David Roman
2024-08-06  9:25 David Roman
2024-07-31 22:34 Lucio Sauer
2024-07-31  9:50 David Roman
2024-07-28 12:20 David Roman
2024-07-27 17:40 David Roman

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1740392323.447e270c5c57ba0a6f91e0e4870a221f99f3b6ac.davidroman@gentoo \
    --to=davidroman96@gmail.com \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox